#pragma once

#include <memory>

#include "demo_base.h"
#include "common.hpp"
#include "shader.hpp"
#include "tga.h"
#include "transformation_node.h"
#include "geometry_node.h"
#include "object_node.h"
#include "model.h"
#include "spline.h"


class model_test 
{
public:
	model_test(void);
	~model_test(void);

	bool init();

protected:

	//models
	Model object_model;
	//spline
	Spline spline;

	//mouselook
	int mousex, mousey;

	void cleanup();
	
};